Updated to newest Omega2+ firmware, now can't install block-mount



  • This is what I see when I try and opkg install

    root@omega:/etc/opkg# opkg find block*
    block-mount - 2017-06-30-bdcb075f-1 - Block device mounting and checking
    block-mount - 2018-12-28-af93f4b8-4
    root@omega:/etc/opkg# opkg install block-mount
    Installing block-mount (2018-12-28-af93f4b8-4) to root...
    Collected errors:

    • opkg_download_pkg: Package block-mount is not available from any configured src.
    • opkg_install_pkg: Failed to download block-mount. Perhaps you need to run 'opkg update'?
    • opkg_install_cmd: Cannot install package block-mount.

    I've tried uncommenting the following in distfeeds.conf and then running opkg update

    src/gz reboot_core http://downloads.lede-project.org/releases/17.01-SNAPSHOT/targets/ramips/mt7688/packages
    src/gz reboot_base http://downloads.lede-project.org/releases/17.01-SNAPSHOT/packages/mipsel_24kc/base

    But have had no joy.

    It's odd, because opkg find returns:

    root@omega:/etc/opkg# opkg find block*
    block-mount - 2018-12-28-af93f4b8-4
    block-mount - 2017-06-30-bdcb075f-1 - Block device mounting and checking
    block-mount - 2018-04-16-6609e98a-1 - Block device mounting and checking



  • @chris-Ó-Luanaigh Try to use:
    opkg update
    opkg install block-mount

    # Omega2+ v0.2.2 b201
    
    root@Omega-5533:/# opkg update
    Downloading http://repo.onion.io/omega2/packages/core/Packages.gz
    Updated list of available packages in /var/opkg-lists/omega2_core
    Downloading http://repo.onion.io/omega2/packages/core/Packages.sig
    Signature check passed.
    Downloading http://repo.onion.io/omega2/packages/base/Packages.gz
    Updated list of available packages in /var/opkg-lists/omega2_base
    Downloading http://repo.onion.io/omega2/packages/base/Packages.sig
    Signature check passed.
    Downloading http://repo.onion.io/omega2/packages/packages/Packages.gz
    Updated list of available packages in /var/opkg-lists/omega2_packages
    Downloading http://repo.onion.io/omega2/packages/packages/Packages.sig
    Signature check passed.
    Downloading http://repo.onion.io/omega2/packages/routing/Packages.gz
    Updated list of available packages in /var/opkg-lists/omega2_routing
    Downloading http://repo.onion.io/omega2/packages/routing/Packages.sig
    Signature check passed.
    Downloading http://repo.onion.io/omega2/packages/onion/Packages.gz
    Updated list of available packages in /var/opkg-lists/omega2_onion
    Downloading http://repo.onion.io/omega2/packages/onion/Packages.sig
    Signature check passed.
    
    root@Omega-5533:/# opkg install block-mount
    Installing block-mount (2017-06-30-bdcb075f-1) to root...
    Downloading http://repo.onion.io/omega2/packages/core/block-mount_2017-06-30-bdcb075f-1_mipsel_24kc.ipk
    Configuring block-mount.
    this file has been obsoleted. please call "/sbin/block mount" directly
    

    Good luck.



  • Hi György,

    I took a somewhat more.. um... muscular approach...

    I tarred up all my customisations, shipped them out and did a restore to factory settings.

    Then I got exactly that error. Fortunately, there was an /sbin/block to call and I can now get on with what I was trying to do.

    Some documentation needs updating however :)

    Thanks and peace!

    chris


Log in to reply
 

Looks like your connection to Community was lost, please wait while we try to reconnect.